%define modname xdebug
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A29_%{modname}.ini

Summary:	Provides functions for function traces and profiling for PHP5
Name:		php-%{modname}
Version:	2.0.2
Release:	%mkrel 2
Group:		Development/PHP
License:	BSD-like
URL:		http://www.xdebug.org/
Source0:	http://www.xdebug.org/files/%{modname}-%{version}.tgz
Source1:	%{modname}.ini
Requires:	gdb
BuildRequires:	php-devel >= 3:5.2.0
#BuildRequires:	edit-devel
#BuildRequires:	termcap-devel
Conflicts:	php-apc php-dbg
Epoch:		2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The Xdebug extension helps you debugging your script by providing a lot of
valuable debug information.  The debug information that Xdebug can provide
includes the following: 

* stack and function traces in error messages with: 
  o full parameter display for user defined functions
  o function name, file name and line indications
  o support for member functions
* memory allocation
* protection for infinite recursions

Xdebug also provides: 

* profiling information for PHP scripts
* script execution analysis
* capabilities to debug your scripts interactively with a debug client

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

cp %{SOURCE1} %{inifile}

# lib64 fix
perl -pi -e "s|/usr/lib|%{_libdir}|g" %{inifile}

%build
%serverbuild

phpize
%configure2_5x \
    --enable-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

# make the debugclient
pushd debugclient
#sh ./buildconf
#    %%configure2_5x
#	--with-libedit
#    %%make

#  the autostuff is borked...
touch config.h
gcc $CFLAGS -o debugclient main.c usefulstuff.c -lnsl

popd

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_bindir}

install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0755 debugclient/debugclient %{buildroot}%{_bindir}/

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS Changelog LICENSE NEWS README package*.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_bindir}/debugclient
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Mon Feb 04 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.2-2mdv2008.1
+ Revision: 161932
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 12 2007 Oden Eriksson <oeriksson@mandriva.com> 2:2.0.2-1mdv2008.1
+ Revision: 108121
- 2.0.2

* Sun Nov 11 2007 Oden Eriksson <oeriksson@mandriva.com> 2:2.0.1-2mdv2008.1
+ Revision: 107582
- restart apache if needed

* Sun Oct 21 2007 Oden Eriksson <oeriksson@mandriva.com> 2:2.0.1-1mdv2008.1
+ Revision: 100929
- 2.0.1

* Sat Sep 01 2007 Oden Eriksson <oeriksson@mandriva.com> 2:2.0.0-2mdv2008.0
+ Revision: 77468
- rebuilt against php-5.2.4

* Thu Jul 19 2007 Oden Eriksson <oeriksson@mandriva.com> 2:2.0.0-1mdv2008.0
+ Revision: 53458
- 2.0.0
- use the new %%serverbuild macro
- remove old html docs

* Thu Jun 14 2007 Oden Eriksson <oeriksson@mandriva.com> 2:2.0.0-0.20070517.1mdv2008.0
+ Revision: 39394
- use distro conditional -fstack-protector

* Mon May 21 2007 Oden Eriksson <oeriksson@mandriva.com> 2:2.0.0-0.20070517.0mdv2008.0
+ Revision: 29171
- new snap (20070517)

* Wed May 02 2007 Oden Eriksson <oeriksson@mandriva.com> 2:2.0.0-0.20070428.0mdv2008.0
+ Revision: 20521
- new snap (20070428)


* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.20061107.3mdv2007.0
+ Revision: 117540
- rebuilt against new upstream version (5.2.1)

* Wed Nov 08 2006 Oden Eriksson <oeriksson@mandriva.com> 2:2.0.0-0.20061107.2mdv2007.0
+ Revision: 78363
- fix deps

* Tue Nov 07 2006 Oden Eriksson <oeriksson@mandriva.com> 2:2.0.0-0.20061107.1mdv2007.0
+ Revision: 77430
- use a recent snap that actually compiles with php-5.2.0 (20061107)
- bunzip the ini file
- rebuilt for php-5.2.0

* Thu Nov 02 2006 Oden Eriksson <oeriksson@mandriva.com> 2:2.0.0-0.20060630.1mdv2007.1
+ Revision: 75384
- Import php-xdebug

* Mon Aug 28 2006 Oden Eriksson <oeriksson@mandriva.com> 2:2.0.0-0.20060630.1
- rebuilt for php-5.1.6

* Thu Jul 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-4.20060630.1mdv2007.1
- rebuild

* Sun Jul 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-4.20060630.1mdk
- new snap (20060630)

* Sat May 06 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-2.20060103.3mdk
- rebuilt for php-5.1.4

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-1.20060103.3mdk
- rebuilt for php-5.1.3

* Thu Feb 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-1.20060103.2mdk
- new group (Development/PHP) and iurt rebuild

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-1.20060103.1mdk
- new snap (20060103)

* Tue Nov 29 2005 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-0.20051107.4mdk
- rebuilt against php-5.1.1

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-0.20051107.3mdk
- rebuilt against php-5.1.0

* Mon Nov 07 2005 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-0.20051107.2mdk
- fix the A29_xdebug.ini file, not break it...
- fix deps

* Mon Nov 07 2005 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-0.20051107.1mdk
- use a recent snap (20051107)
- fix the A29_xdebug.ini file
- fix conflicts

* Thu Nov 03 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.3.2-1mdk
- rebuilt against php-5.1.0RC4
- fix versioning

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0_1.3.2-0.RC1.2mdk
- rebuilt to provide a -debug package too

* Mon Oct 03 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0_1.3.2-0.RC1.1mdk
- rebuilt against php-5.1.0RC1

* Fri May 27 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_1.3.2-1mdk
- rename the package

* Sun Apr 17 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_1.3.2-1mdk
- 5.0.4

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.3.2-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.3.2-3mdk
- rebuilt against a non hardened-php aware php lib

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.3.2-2mdk
- rebuild due to hardened-php-0.2.6

* Fri Dec 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.3.2-1mdk
- rebuilt for php-5.0.3

* Tue Dec 07 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2_1.3.2-1mdk
- initial mandrake package

